petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatSolveAdd

Computes x = y + inv(A)*b, given a factored matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSolveAdd(Mat mat,Vec b,Vec y,Vec x)

Neighbor-wise Collective on Mat and Vec Many br

### Input Parameters

| mat | - the factored matrix Many br
| b | - the right-hand-side vector Many br
| y | - the vector to be added to Many br

### Output Parameter

x -the result vector Many br

### Notes

The vectors b and x cannot be the same. I.e., one cannot Many brcall MatSolveAdd(A,x,y,x). Many br

Most users should employ the simplified KSP interface for linear solvers Many brinstead of working directly with matrix algebra routines such as this. Many brSee, e.g., KSPCreate(). Many br

Many br

### See Also

MatSolve(), MatSolveTranspose(), MatSolveTransposeAdd()

Level:developer
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages